adt 0.5.0+5
adt: ^0.5.0+5

Dart native

A code generator for algebraic data types such as immutable data classes with copyWith method and immutable discriminated unions with pattern matching. They compare as value types.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  adt: ^0.5.0+5

2. Install it

You can install packages from the command line:

with pub:

$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:adt/adt.dart';
6
likes
90
pub points
33%
popularity

A code generator for algebraic data types such as immutable data classes with copyWith method and immutable discriminated unions with pattern matching. They compare as value types.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

vr.19860507@gmail.com

License

BSD (LICENSE)

Dependencies

adt_annotation, analyzer, build, code_builder, dart_style, meta, source_gen

More

Packages that depend on adt